import { createStore } from "vuex";
import app from "@/store/modules/app.js";
import tagsView from "@/store/modules/tags-view.js";
import user from './modules/user.js'
import common from './modules/common.js'
import tags from './modules/tags.js'
import logs from './modules/logs.js'
import dict from './modules/dict.js'
import getters from './getters.js'
export default createStore({
  modules: {
    app,
    tagsView,
    user,
    common,
    logs,
    tags,
    dict
  },
  getters,
  devtools: true,
});
